Bug 1258307 - subscription-manager --type=hypervisor for Satellite 6.1 showing as "host" [NEEDINFO]
subscription-manager --type=hypervisor for Satellite 6.1 showing as "host"
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration (Show other bugs)
6.1.0
All Linux
medium Severity medium (vote)
: Unspecified
: 6.1
Assigned To: Tom McKay
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 00:21 EDT by Anand Vaddarapu
Modified: 2017-04-25 12:33 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 14:51:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcourt: needinfo? (avaddara)


Attachments (Terms of Use)

  None (edit)
Description Anand Vaddarapu 2015-08-31 00:21:31 EDT
Description of problem:
I have tested to register RHEV's hypervisors thick hypervisor using --type=hypervisor using RHEL6.7's subscription-manager, which didn't work to register the host after the provisioning.  It was registered as a "host", even though I used "hypervisor" as a type.


Actual results:
It was registered as a "host", even though I used "hypervisor" as a type.

Expected results:
My hope that above command would register the hypervisor as "hypervisor" rather than "host".
Comment 3 Barnaby Court 2016-03-04 15:15:49 EST
Where are you seeing the system listed as type "Host"?

When I look in the database after registration using 
subscription management server: 3.0.0.4-Unknown
subscription management rules: 5.15.2
subscription-manager: 1.15.9-15.el7
python-rhsm: 1.15.4-5.el7

and Sat 6.2 it is properly recorded as type hypervisor.
Comment 4 Tom McKay 2016-03-07 14:51:43 EST
The term "host" is overused in Sat-6 a lot. Hypervisors are not listed differently than other physical systems. 

If there are specific enhancements that are desired, please reopen this as an RFE with detailed usecase.

Note You need to log in before you can comment on or make changes to this bug.